CVE REJECT(1)

NAME
cve-reject - Reject a CVE record for a reserved or...

SYNOPSIS
cve reject [OPTIONS] CVE_ID

DESCRIPTION
Reject a CVE record for a reserved or published CVE ID.

If the CVE is already rejected, this action will update its record if one is supplied. A rejected CVE with a record can only be moved to the published state (see `cve publish`). A rejected CVE without a record can be moved to the reserved state. A published CVE can only be rejected with an accompanying record. Reserved CVEs can be rejected with or without a record.

Note: Rejecting a published CVE removes both the CNA and ADP data of that record.

The CVE reject record can be specified as a string:

  cve reject CVE-2022-1234 -j '{"rejectedReasons": [{"lang": "en", "value": "A reason."}]}'

Or passed in a file:

  cve reject CVE-2022-1234 -f v5_reject_record.json

For information on the required properties in a given CVE JSON record, see the schema in:

https://cveproject.github.io/cve-schema/schema/docs/

Because the CVE Services API only expects the cnaRejectedContainer contents of the full record, the record you pass to this command can specify just that data, and not the full record.

OPTIONS

-j, --cve-json TEXT
    JSON body of CVE record to reject.

-f, --cve-json-file FILENAME
    File containing JSON body of CVE record to reject.

--raw
    Print response JSON.